com.pixelmed.utils

## Class ScrollingTextAreaWriter

- java.lang.Object
- - java.io.Writer
  - - com.pixelmed.utils.ScrollingTextAreaWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class ScrollingTextAreaWriter
    extends java.io.Writer

A class to write log and status messages to a `PrintStream` such as `System.err`.

### Field Summary

Fields
`protected javax.swing.JTextArea` `loggerTextArea`

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`ScrollingTextAreaWriter(javax.swing.JFrame content, int width, int height)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(char[] c, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### loggerTextArea

    protected javax.swing.JTextArea loggerTextArea

### Constructor Detail

#### ScrollingTextAreaWriter

    public ScrollingTextAreaWriter(javax.swing.JFrame content,
                           int width,
                           int height)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `java.io.Writer`

#### flush

    public void flush()

Specified by:
  `flush` in interface `java.io.Flushable`
Specified by:
  `flush` in class `java.io.Writer`

#### write

    public void write(char[] c,
             int off,
             int len)

Specified by:
  `write` in class `java.io.Writer`